# GCC_NetworkAddress_subtype_aggregatedChannel_transferModes Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_NetworkAddress_subtype_aggregatedChannel_transferModes:

List of all members.

## Public Member Functions

| GCC_NetworkAddress_subtype_aggregatedChannel_transferModes (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_speech
PASN_Boolean | m_voice_band
PASN_Boolean | m_digital_56k
PASN_Boolean | m_digital_64k
PASN_Boolean | m_digital_128k
PASN_Boolean | m_digital_192k
PASN_Boolean | m_digital_256k
PASN_Boolean | m_digital_320k
PASN_Boolean | m_digital_384k
PASN_Boolean | m_digital_512k
PASN_Boolean | m_digital_768k
PASN_Boolean | m_digital_1152k
PASN_Boolean | m_digital_1472k
PASN_Boolean | m_digital_1536k
PASN_Boolean | m_digital_1920k
PASN_Boolean | m_packet_mode
PASN_Boolean | m_frame_mode
PASN_Boolean | m_atm

## Constructor & Destructor Documentation

GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::GCC_NetworkAddress_subtype_aggregatedChannel_transferModes | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::GetDataLength | ( |  | ) | const

PBoolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::Decode | ( | PASN_Stream & | strm | ) |

void GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_speech

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_voice_band

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_56k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_64k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_128k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_192k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_256k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_320k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_384k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_512k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_768k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_1152k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_1472k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_1536k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_digital_1920k

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_packet_mode

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_frame_mode

PASN_Boolean GCC_NetworkAddress_subtype_aggregatedChannel_transferModes::m_atm

The documentation for this class was generated from the following file:

- gcc.h